﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MidiStylusLibrary
{
    public static class ExtensionMethods
    {
        public static DateTime ToDateTime(this object input)
        {
            DateTime output = DateTime.MinValue;

            try
            {
                output = Convert.ToDateTime(input);
            }
            catch
            {
            }

            return output;
        }

        public static int ToInteger32(this object input)
        {
            int output = 0;

            try
            {
                output = Convert.ToInt32(input);
            }
            catch
            {
            }

            return output;
        }

        public static char ToCharacter(this object input)
        {
            char output = ' ';

            try
            {
                output = Convert.ToChar(input);
            }
            catch
            {
            }

            return output;
        }

        public static bool ToBoolean(this object input)
        {
            bool output = false;

            try
            {
                output = Convert.ToBoolean(input);
            }
            catch
            {
            }

            return output;
        }

        public static Guid ToGuid(this object input)
        {
            Guid output = new Guid();

            try
            {
                output = new Guid(input.ToString());
            }
            catch
            {
            }

            return output;
        }
    }
}
